Page MenuHomePhabricator

Review rights removal at beta-enwiki
Closed, ResolvedPublic

Description

User:S mentioned that there were concerns raised on IRC regarding my flags on http://en.wikipedia.beta.wmflabs.org. I'd like to address any issues that S may have; they requested that I file a request here again.

Action

http://en.wikipedia.beta.wmflabs.org/wiki/Special:UserRights/JustBerry?uselang=en
(del/undel) 20:00, 10 October 2015 S (Talk | contribs | block) changed group membership for JustBerry from edit filter manager, bureaucrat, check user, importer, oversight, steward, administrator and transwiki importer to edit filter manager, bureaucrat, importer, administrator and transwiki importer (muntiple concerns by muntiple users raised on irc. user needs to file a request on phabricator to get this flags again.)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I think @Steinsplitter raised the main concern against local steard rights (?)
There were given to that user by @Reedy

(del/undel) 21:34, 27 September 2015 Reedy (Talk | contribs | block) changed group membership for JustBerry from edit filter manager, bureaucrat, importer, administrator and transwiki importer to edit filter manager, bureaucrat, importer, administrator, transwiki importer and steward (Usser request)

Reedy had given me the steward right last month for my testing of suppression in the context of bots/scripts. To give you a bit of background, I've been a sysop/crat for a few years now on en-wiki beta, having originally come to improve the Article Wizard there for the English Wikipedia. Essentially, one of the goals was testing to see how block-tracking bots react to suppressed block logs. This, of course, was only one objective.

@Steinsplitter Also, to note, there are a few socks from en-wiki (https://en.wikipedia.org/wiki/Wikipedia:Sockpuppet_investigations/RMS52) that have been vandalizing my user page for the past few days now, as they seem to be upset at my reporting them last month and having them blocked (see https://en.wikipedia.org/wiki/User_talk:RMS52) for reference. Since this user has been recently vandalizing my talk page as well, it leads me to suspect that they may be causing issues on IRC as well, i.e. creating socks there too (let's hope not).

Steinsplitter appears to be most recently active at Wikimedia Commons. I have notified them of this ticket here: https://commons.wikimedia.org/w/index.php?title=User_talk%3ASteinsplitter&type=revision&diff=175244651&oldid=175240823.

Also, out of curiosity, why did @Reedy do this: "Reedy edited subscribers, added: Spage; removed: Steinsplitter"?

Also, out of curiosity, why did @Reedy do this: "Reedy edited subscribers, added: Spage; removed: Steinsplitter"?

Edit conflict? I'm pretty sure S is @Steinsplitter, not @Spage.

Steinsplitter added a comment.EditedOct 11 2015, 7:05 AM

@Steinsplitter: I haven't seen any discussion about this on IRC. You need to explain yourself.

There was a discussion on chanops internal channels where concerns about users conduct where raised. People don't trust him, and where concerned that steward flag was granted him there especially because he was never entrusted with admin or a other flag on the production wiki and he isn't writing code. @Nick etc. can provide you with moor informations pursuant to channel policy.

I was asked by a user via PM to remove his flag.

[Edit]
I just removed my flags at deploymentwiki. I don't have time for this kind of stuff and concerned about privacy if obviously everyone can have access there to tools like os (whiteout have signed some privacy related document).

revi added a subscriber: revi.EditedOct 11 2015, 9:18 AM

Well, CUOS flag is very sensitive flag, and I wouldn't expect someone to give CUOS to who hasn't signed Confidentiality Agreement, since it is WMF-controlled system. I cannot find JustBerry there.

Just to clarify - this is beta not production. CheckUser is *not* enabled on beta for more or less this reason and oversight is neither (revdel'd thing also should not be sensitive).

This is another example where community members pile up and throw accusations around others with no evidence and with not even looking at the facts. No elevated access was granted - and if so - there are many many other cases of this.

Reedy added a comment.EditedOct 11 2015, 12:15 PM

I'm somewhat confused. CheckUser isn't enabled on beta for precisely this reason, so there's no private information being leaked.

Although not impossible, it's presumably very unlikely stuff will be oversighted for the usual purpose of oversighting (protecting minors, sensitive information etc etc).

It *is* a TEST WIKI

@Steinsplitter: I haven't seen any discussion about this on IRC. You need to explain yourself.

There was a discussion on chanops internal channels where concerns about users conduct where raised. People don't trust him, and where concerned that steward flag was granted him there especially because he was never entrusted with admin or a other flag on the production wiki and he isn't writing code. @Nick etc. can provide you with moor informations pursuant to channel policy.

@Steinsplitter I understand the privacy of other users at chanops internal is important; however, your point seems quite ambiguous. There seems to be no previous sign of previous abuse, etc. Can you specifically point to what may have caused concern? That will be more effective in addressing the issue.

I just removed my flags at deploymentwiki. I don't have time for this kind of stuff and concerned about privacy if obviously everyone can have access there to tools like os (whiteout have signed some privacy related document).

Do you wish to opt out of this discussion as well? If so, would you be willing to pass on the decision to @Reedy or someone else? Personally, I don't think performing an action and not willing to justify it is appropriate at all.

Just to clarify - this is beta not production. CheckUser is *not* enabled on beta for more or less this reason and oversight is neither (revdel'd thing also should not be sensitive).
This is another example where community members pile up and throw accusations around others with no evidence and with not even looking at the facts. No elevated access was granted - and if so - there are many many other cases of this.

@JohnLewis Sadly, I must agree with you. I'm not going to pile on here, but this isn't the first time this has happened, i.e. outside the Beta-Cluster as well. In any event, oversight, to my knowledge, really only has the ability to perform suppression or revdel, yes.

Luke081515 triaged this task as Medium priority.Oct 11 2015, 12:56 PM
Luke081515 moved this task from To Triage to In-progress on the Beta-Cluster-Infrastructure board.

@Steinsplitter I understand the privacy of other users at chanops internal is important; however, your point seems quite ambiguous. There seems to be no previous sign of previous abuse, etc. Can you specifically point to what may have caused concern? That will be more effective in addressing the issue.

I see it is implied that one or more users requested Steinsplitter to do the rights removal because of some lack of trust of the abilities to CU & OS (T115192). Now that it is clarified that CUs on Beta can't do CU for real, and there's few real sensitive information on Beta that is OSed, I don't see the issue of having the rights.

In any event, oversight, to my knowledge, really only has the ability to perform suppression or revdel, yes.

They also have the ability to view the suppressed data.

Luke081515 claimed this task.EditedOct 11 2015, 1:04 PM

I can reinstate them, if nobody have something against that action, so I will wait a while, if somebody got objection, please tell me.

I can reinstate them, if nobody have sth against that action, so I will wait a while, if somebody got objection, please tell me.

Please, do not.

I am okay with the proposed solution after following the discussion closely. Ultimately this is just a test wiki and there are no issues with the rights being granted and how JustBerry is using it.

Reedy added a comment.Oct 11 2015, 1:10 PM

@Steinsplitter I understand the privacy of other users at chanops internal is important; however, your point seems quite ambiguous. There seems to be no previous sign of previous abuse, etc. Can you specifically point to what may have caused concern? That will be more effective in addressing the issue.

I see it is implied that one or more users requested Steinsplitter to do the rights removal because of some lack of trust of the abilities to CU & OS (T115192). Now that it is clarified that CUs on Beta can't do CU for real, and there's few real sensitive information on Beta that is OSed, I don't see the issue of having the rights.

In any event, oversight, to my knowledge, really only has the ability to perform suppression or revdel, yes.

They also have the ability to view the suppressed data.

If people had bothered to look at the config, or the resultant of the config, namely http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version they would see that the checkuser extension isn't enabled.

Similarly, on http://en.wikipedia.beta.wmflabs.org/wiki/Special:ListGroupRights

Search deleted pages (browsearchive)
View deleted history entries, without their associated text (deletedhistory)
View deleted text and changes between deleted revisions (deletedtext)

Or even, you know, ask me personally, or even someone else "in the know"...

I can reinstate them, if nobody have sth against that action, so I will wait a while, if somebody got objection, please tell me.

Please, do not.

To add some insight from the discussion on IRC from #wikimedia-releng, @Jdforrestor-WMF seems to see a larger problem with the way rights are handled on beta wikis in general and wishes to address it accordingly. @Jdforrestor-WMF I'm not sure if you would like to give some insight into what you had mentioned in the channel, but I will leave that to your discretion, of course.

It looks like once the ToU link has been addressed via the patch @Krenair created (T77858), @Jdforrester-WMF's concern regarding the ToU linkage back to Meta Wikimedia should be resolved. From IRC, Steinsplitter commented "JustBerry: i commented on phabricator and i have nothing to add." Then, they had mentioned the following:

Steinsplitter: i don't comment the issue on irc.
Steinsplitter: to prevent moor drama i won't comment on that issue anymore.
Steinsplitter : pleas go to do useful work like writing artcles.

It seems as though Steinsplitter is leaving the discussion to the rest of the community. Although I do understand that English is not their native language, whereas German may be, it seems that they do not fully understand what they've done, which seems problematic overall.

Steinsplitter added a comment.EditedOct 11 2015, 7:49 PM

It is a TESTWIKI. Sorry, but i don't have time for this kind of drama. Your behavior here is explaining itself perfectly. The right was granted and i removed it because users complained in ops-internal channel. There is no regular process or policy for granting and removing right on beta, and this is a big issue. De jure i haven't violated any policy. I leave it to other trusted user to decide. I also haven't granted consent to publish this chanlogs (/join a german channel bothering my about this stuff because i not replayed to you'r PM immediately is not nice - i also have a real life, wiki is just my hobby).

JustBerry added a comment.EditedOct 11 2015, 8:04 PM

To provide clarification to the comment above, leaving it to other users is fine, but stopping by at #wikimedia-releng would have been more effective in addressing the issue. Also, they were not channel logs; they were responses via private message. There are administrators on en-wiki who do mention IRC messages if necessary on-wiki; there doesn't seem to be anything wrong about that, considering those were the only responses I was able to obtain from the user. I had only asked in #wikipedia-de-jungwikipedianer regarding if anyone had seen Steinsplitter, to which Steinsplitter responded with a boot and ban without any reply. Although it is understandable that trust issues from wikimedia-ops-internal can be sensitive, the ambiguity of not mentioning any details about these issues to anyone related to this ticket or to anyone in #wikimedia-releng, to my knowledge, seems particularly concerning regarding their conduct overall. Although their unwillingness to further comment on this discussion and self-removal of rights from deployment are acknowledged, to anyone reading this ticket, it should be noted that Steinsplitter had their rights revoked from deployment with the comment "has shown not to be trusted with any of these" here last year.

There is no regular process or policy for granting and removing right on beta, and this is a big issue.

Any Beta-Cluster issues can be addressed on Phabricator. Even if you do not wish to partake in the conversation, you can still create a ticket here and leave it up to community decision.

At beta is no "real community", but right changes at beta should discussed here, if needed, like http://deployment.wikimedia.beta.wmflabs.org/wiki/Global_requests says.

Steinsplitter added a subscriber: Steinsplitter.EditedOct 11 2015, 8:27 PM

@JustBerry: Seriously. Please stop stalking me. This is not funny at all :-(. And please stick on the exact trust, i haven't banned you from any channel on irc. Again: Please don't contact me. I don't want that. This seems to be a honeypot.

This comment was removed by JustBerry.

Errr.... I am not a op in this channel. You should stick on the truth. This kind of rhetorical games are not funny :-( :'-( I can't defend myself, because what you say is not true. :'(

Please just stay on the topic: We got a rights removal, and some people think, that this wasn't right, so we can reinstate the rights, if there is no protest. Your personal differences doesn't matter. So is there any protest? Otherwise I will reinstate the rights next weekend.

Please just stay on the topic: We got a rights removal, and some people think, that this wasn't right, so we can reinstate the rights, if there is no protest. Your personal differences doesn't matter. So is there any protest? Otherwise I will reinstate the rights next weekend.

You should consult @Krenair and @Jdforrester-WMF prior to reinstating any rights most probably. Regarding the IRC issue, since it's not the central focus and is a bit off-Wikimedia, considering it's a more informal, sub-channel and not a main channel, we can drop that whole discussion; it's just that the user's unwillingness to participate in discussion and the premise of the user right removal seemed concerning. As aforementioned, I don't have a problem with addressing any issues that may be of concern.

Yes, I know. That's one of the reasons, why I'm wait, before I will do this action.

I can confirm that Steinsplitter is right, because I was on the channel at this time. steinsplitter has hever banned JustBerry, it was another one, and i wonder why you are posting a obviosuly faked log. Additionally, it isn't allowed to post any logs of #wikipedia-de-* channels.

Luke081515 added a comment.EditedOct 11 2015, 9:14 PM

Please just stay on the topic: (...) Your personal differences doesn't matter.

If we want to resolve this task, please stay on the topic, personal differences are not purposeful.

JustBerry added a comment.EditedOct 11 2015, 9:17 PM

I can confirm that Steinsplitter is right, because I was on the channel at this time. steinsplitter has hever banned JustBerry, it was another one, and i wonder why you are posting a obviosuly faked log. Additionally, it isn't allowed to post any logs of #wikipedia-de-* channels.

It was not an "obviously faked log"; I have now removed the log from the conversation above, since I no longer have the client history available to me. I was booted and banned from the channel, which I recall was Steinsplitter; however, if you object, it can be dropped. @MGChecker Firstly, the logs were directly related to the conversation here. Secondly, there was no mention of logs in the channel description, which I had translated from the channel description (from German to English) and I no longer have access to. I even had @Luke081515 explain the channel description to me directly, as they are familiar with the German language; they are welcome to comment here. However, the user did not object to the private message logs above, which are a direct copy and paste from my client.

As @Luke081515 has mentioned above, let's not get off topic from the original issue. The avoidance of communication and the direct support from fellow channel members, i.e. #wikipedia-de-jungwikipedianer, which @Luke081515 had mentioned to me is affiliated with a slightly different organization, seems concerning.

Milad_A380 added a subscriber: Milad_A380.EditedOct 11 2015, 9:19 PM

I have nothing to do with your discussion, but it seems that JustBerry has posted faked chat logs. I'm an op in the channel #wikipedia-de-jungwikipedianer (Steinsplitter isn't an op there, so he can't even have kicked JustBerry) [FYI: The channel #wikipedia-de-jungwikipedianer is a channel of a group of young german wikipedians], and I kicked JustBerry today, because it seems that he stalked Steinsplitter to this channel for no reason, and JustBerry had nothing to do with our group and also wrote stuff that absolutely didn't fit in what we want to be discussed in our channel.

This is the log of my actions. If needed, I can also post the logs of the short discussion between us and JustBerry.

Original log (german):

[21:13:11] =-= Modus #wikipedia-de-jungwikipedianer +o Milad von ChanServ
[21:13:18] =-= JustBerry wurde aus #wikipedia-de-jungwikipedianer von YOU rausgeworfen (JustBerry)
[21:13:35] -->| JustBerry (~chatzilla@unaffiliated/justberry) hat #wikipedia-de-jungwikipedianer betreten
[21:13:57] =-= JustBerry wurde aus #wikipedia-de-jungwikipedianer von YOU rausgeworfen (JustBerry)
[21:14:02] -->| JustBerry (~chatzilla@unaffiliated/justberry) hat #wikipedia-de-jungwikipedianer betreten
[21:15:06] =-= Modus #wikipedia-de-jungwikipedianer +b *!*@unaffiliated/justberry von Milad
[21:15:12] =-= JustBerry wurde aus #wikipedia-de-jungwikipedianer von YOU rausgeworfen (JustBerry)

English translation:

[21:13:11] =-= Mode #wikipedia-de-jungwikipedianer +o Milad by ChanServ
[21:13:18] =-= JustBerry was kicked out of #wikipedia-de-jungwikipedianer by YOU (JustBerry)
[21:13:35] -->| JustBerry (~chatzilla@unaffiliated/justberry) joined #wikipedia-de-jungwikipedianer
[21:13:57] =-= JustBerry was kicked out of #wikipedia-de-jungwikipedianer by YOU (JustBerry)
[21:14:02] -->| JustBerry (~chatzilla@unaffiliated/justberry) joined #wikipedia-de-jungwikipedianer
[21:15:06] =-= Mode #wikipedia-de-jungwikipedianer +b *!*@unaffiliated/justberry by Milad
[21:15:12] =-= JustBerry was kicked out of #wikipedia-de-jungwikipedianer by YOU (JustBerry)

No other op actions have been made today in this channel. All logs interfering with this, including the one posted by JustBerry above, are faked.

I have nothing to do with your discussion, but it seems that JustBerry has posted faked chat logs.

Do not accuse other people of lying; Steinsplitter had mentioned to me to "stop stalking them" with a mere private message to them. Initially, I had stopped by at #wikipedia-de-jungwikipedianer, since Steinsplitter was there. When I returned to my client, I was kicked and booted from the channel; I had mentioned that they were most probably the ones to ban me, since they had messaged me. To resolve the issue, I have deleted my comment with the hypothetical, as you have provided chat logs for this action. However, I don't see how "faked chat logs" is warranted, when the private messages Steinsplitter had sent to me were a direct copy-and-paste from my client, if that's what you're referring to.

JustBerry added a comment.EditedOct 11 2015, 9:28 PM

Quite honestly, I'm not going to argue with an attempt to circumvent conversation related to this discussion. I think enough has been said.

You posted a chat log, you didn't write something like "Steinsplitter kicked me", you wrote something in the style of "[21:13:18] =-= JustBerry was kicked out of #wikipedia-de-jungwikipedianer by Steinsplitter", and that's what I consider faking.

From IRC, Steinsplitter commented "JustBerry: i commented on phabricator and i have nothing to add." Then, they had mentioned the following:

Steinsplitter: i don't comment the issue on irc.
Steinsplitter: to prevent moor drama i won't comment on that issue anymore.
Steinsplitter: pleas go to do useful work like writing artcles

If you're referring to the comment above @Milad_A380, then those chat logs are not fake; rather, they are a direct copy-and-paste from my channel. I'm not going to have a discourse with you about an attempt to resolve this issue, as aforementioned. I will cease commenting on this sub-topic for the remainder of this ticket.

The faked log was in your post at 8:34 PM that you deleted later. I never said that this log was faked.

JustBerry added a comment.EditedOct 11 2015, 9:40 PM

The faked log was in your post at 8:34 PM that you deleted later. I never said that this log was faked.

To clarify, those were not logs. I had specifically mentioned that it was a hypothetical log in the message, as in my other viewable messages from above. Since the discrepancy in the hypothetical log is cleared up now, will you drop the stick? This discussion is not resolving what the original ticket was created for.

I'm ok with ending the discussion about faked logs here, as all that needs to be said has been said. As I do not have anything to do with Beta, I'll also leave the discussion here.

In light of resolving the issue, it should be noted that observing the actor of the action being discussed, as well as two supporters, commenting on this issue in a relatively short time frame, while failing to address the initial issue at hand, seems concerning. I imagine that either log-provider did not coincidentally appear to provide logs without the actor's mention of it. It goes to show that the actor's claim that they do not have time to discuss the issue cannot be taken to truth fully and the intentions of the action must be re-considered to match the situation at hand.

JustBerry removed a subscriber: Milad_A380.

FYI: Someone (and this someone was not Steinsplitter) notified me in IRC that someone posted a faked log on phabricator, and as I had something to do with these logs, I decided to publish the real logs. That's it. There won't be any further comments by me concerning this issue. (And I'll also go to bed now, as its midnight local time)

FYI: Someone (and this someone was not Steinsplitter) notified me in IRC that someone posted a faked log on phabricator, and as I had something to do with these logs, I decided to publish the real logs. That's it. There won't be any further comments by me concerning this issue. (And I'll also go to bed now, as its midnight local time)

Your clarification is appreciated; however, I had explicitly mentioned that the logs were hypothetical and that I was unsure of them, as I did not have access to my client history at that time, in my message(s) above. Hence, the statement by Steinsplitter, according to your previous message, would not be accurate then.

A note to readers: Although I had mentioned that I would no longer comment on the IRC issue, it seemed necessary to clarify any discrepancies in statements through the subsequent messages I posted.

This is another example where community members pile up and throw accusations around others with no evidence and with not even looking at the facts.

@JohnLewis's quote from earlier, although from a different context, quite succinctly sums up the reason for my continuing the dialogue further.

revi removed a subscriber: revi.Oct 11 2015, 10:09 PM
scfc added a subscriber: scfc.Oct 11 2015, 10:38 PM

@JustBerry: Just because you remove a comment doesn't mean it becomes unseen by the subscribers of this task who have received mail copies of it and probably now archived them. There is no doubt that you claimed that @Steinsplitter had banned you from the IRC channel.

AFAICT from T115196#1717787, you need special rights on the Beta cluster (only) for testing your own bots and scripts. As this is not the intended purpose of the Beta cluster and can be done against any MediaWiki test instance, considering your behaviour in this task I'd be more happy if this is done elsewhere.

But in fact, there are beta wikis used as test wikis, also by jenkins broswer tests, or test of modules, so I don't see a problem.

JustBerry added a comment.EditedOct 11 2015, 10:46 PM

@JustBerry: Just because you remove a comment doesn't mean it becomes unseen by the subscribers of this task who have received mail copies of it and probably now archived them. There is no doubt that you claimed that @Steinsplitter had banned you from the IRC channel.

Yes, but I had clarified multiple times in my subsequent messages that the logs were in fact hypothetical, considering there was almost no delay time between my post and the subsequent posts, which I don't think could have been clarified any better. I also explicitly mentioned the deletion of the hypothetical logs I had provided in my subsequent messages. The original private message logs remain valid, as aforementioned. I deny the providing of false logs, as I had immediately edited and corrected my message after posting it, prior to deleting it, which was done due to the unnecessary deviation it caused from the original purpose of the ticket. Any email that you may have received was most likely of the original posted comment.

AFAICT from T115196#1717787, you need special rights on the Beta cluster (only) for testing your own bots and scripts. As this is not the intended purpose of the Beta cluster and can be done against any MediaWiki test instance, considering your behaviour in this task I'd be more happy if this is done elsewhere.

That doesn't justify the actions taken by Steinsplitter. Also, I have not fully delved into the details of the premise under which the original rights were distributed in my original message, as it does not pertain to the main issue at hand - the revokal of rights under the reason of unexplained issues posed on IRC, which still remains ambiguous. Making a judgement or comment about another user's conduct without full context is highly inappropriate.

Being attacked and challenged on a marginal error related to an attempt to obtain details to further clarify the premise of the action is undue to either (a) the fact that error was soon corrected after being posted and (b) the original intentions of the ticket.

Are there evidence that JustBerry is abusing the tools on the Beta cluster? I believe that is more relevant in the context here and would allow everyone to make a more informed choice. I appreciate all that have commented on this task thus far.

Are there evidence that JustBerry is abusing the tools on the Beta cluster? I believe that is more relevant in the context here and would allow everyone to make a more informed choice. I appreciate all that have commented on this task thus far.

Thank you for your message. I would encourage any suspicions that I can clarify or any review of my contributions, logged actions, etc. on any Beta-Cluster wiki from anyone.

I reviewed all actions (about 2000) at enwiki beta of him, and don't see any missuse.

JustBerry added a comment.EditedOct 11 2015, 11:31 PM

After a general review of the discussion, the actions appear to be invalid mainly on the following grounds:

  1. The inability and/or unwillingness of the actor to explain their actions to a substantive level that satisfies the contextual needs to reviewers in this ticket either in this ticket directly or off-ticket, i.e. IRC, etc. The premise of IRC will be assumed both on the lack of explanation of issues supposedly brought up on wikimedia-ops-internal, irrelevance of the thoughts of wikimedia-ops-internal according to @Krenair, and private message responses obtained via IRC, which have not been refuted by the actor at any time throughout the ticket. The premise of the channel block will not be considered, as the doubt has been openly clarified by multiple reviewers throughout the course of the discussion.
  2. The user no longer holds steward rights at deployment due to their self-revokal of rights; however, it has been held that the situation is a misuse of rights, by multiple people, due to the lack of explanation for the action. Multiple people have also mentioned on IRC that the user would have lost their rights due to misuse anyway had they not revoked the rights themselves.
  3. Even if the right revokal had adequate grounds to begin with, there was no addressing of the issue on Phabricator, via #wikimedia-releng, or with any other individual related to the Beta-Cluster project, to my knowledge and the information present in this ticket. Even when looking at production wikis, such as en.wp, ArbCom discusses the premise of abuse, etc. prior to taking any action with community consensus. Although this is not a production wiki, there was no obvious abuse, or any abuse or reason for concern that has been provided at all, to grant or justify any right revokal.

Thus, due to the ultimate revokal of both the user right of the actor and lack of supportive grounds for the actions, the actions do not seem unwarranted, and thus should be undone on those grounds. If, per @Hydriz's comment, there are any forms of abuse of tools that have been found in the future, they should be reported, discussed, and addressed appropriately. The final decision appears to be that of @Krenair, as they appear to have created a patch for the issue presented by @Jdforrester-WMF earlier in the case regarding the ToU link for Beta wikis, particularly concerning beta en-wiki.

Mentioning the IRC log dispute from earlier in the ticket is unwarranted for any raising of trust issues, primarily because the action occurred prior to the ticket. Even if the IRC log dispute was factored, I had immediately corrected the message to read that it was a hypothetical log, which I had recollected, due to the prompt closing of the tab after being booted and banned. I had also explained several subsequent times what had happened, never a discrepancy in my explanations to cause any reason for suspicion, as it remains true to what had happened. After attempting to explain the situation a few times, I thought it would be best to remove the discrepancy in the midst of the investigation of the case; conversely, this caused a few additional comments that were unneeded. Since there is no evidence supporting the production of fake logs, dropping the stick (https://en.wikipedia.org/wiki/Wikipedia:Drop_the_stick_and_back_slowly_away_from_the_horse_carcass) would be the best move in this discussion.

JustBerry added a comment.EditedOct 12 2015, 12:25 AM

@zhuyifei1999 Can you clarify your token?

EDIT: Instead of deleting the comment this time, I intend to change this message to "nevermind."

JustBerry rescinded a token.
JustBerry reassigned this task from Luke081515 to Krenair.Oct 12 2015, 2:43 AM
Steinsplitter added a comment.EditedOct 12 2015, 3:29 AM

I reviewed all actions (about 2000) at enwiki beta of him, and don't see any missuse.

There was no abuse. *sigh* JustBerry (https://commons.wikimedia.org/wiki/Special:CentralAuth/JustBerry) ist twisting my words. There where concerns raised in ops-internal channel by multiple users about the trust of the users (especially because of his offwiki conduct). Especially because the user can view surpressed stuff that (and there was also concerns about the cu group). That the user has faked logs just to show you how bad i am is speaking for itself. I i am quite unhappy about this drama here. Sorry, but this is is nothing but "Kindergarten". The right was granted by user discretion and it was removed. There is a rule on wp: Revert and Discuss. It is a _wiki_, therefore stuff can be reverted.

JustBerry added a comment.EditedOct 12 2015, 3:37 AM

I reviewed all actions (about 2000) at enwiki beta of him, and don't see any missuse.

There was no abuse. *sigh* JustBerry (https://commons.wikimedia.org/wiki/Special:CentralAuth/JustBerry) ist twisting my words. There where concerns raised in ops-internal channel by multiple users about the trust of the users (especially because of his offwiki conduct). Especially because the user can view surpressed stuff that (and there was also concerns about the cu group). That the user has faked logs just to show you how bad i am is speaking for itself. I i am quite unhappy about this drama here. Sorry, but this is is nothing but "Kindergarten". The right was granted by user discretion and it was removed. There is a rule on wp: Revert and Discuss. It is a _wiki_, therefore stuff can be reverted.

This is absurd. It seems as though the user did not fully understand the implications of their actions, and now chooses alternative methods to substantiate their actions. I think the discussion about "faked logs" has been addressed adequately; if you're so keen on investigating that issue, please ask a Phabricator Developer to review the history of the ticket for you. However, it gives you no leverage to base your actions off at all, despite it being unwarranted to begin with. Production policies, such as revert and discuss, don't apply to Beta. If you're referencing production policies from the English Wikipedia, for example, you should also be familiar with the ArbCom process and how, prior to removal of user rights, there is generally a discussion of some sort, particularly if there is no evidence of obvious abuse on-wiki. Also, you have not provided any rationale in your actions, including providing any off-wiki examples of issues.

Note: I think it's pretty clear, even looking at @Hydriz's comment, that without any evidence of abuse, misuse, or controversial issues of any sort, an immediate revokal of rights is illegitimate. Either you're saying that your actions are unwarranted by principle or that you did not address the issue appropriately. Just putting that out there - there's not much else that can be said about that, quite frankly.

About the IRC logs: The fact of the matter is, you had mentioned in the channel explicitly that I was "stalking you," when I had merely come looking for you. Having been booted and banned from the channel and receiving a follow-up PM message from you, there was an assumption that you had done so in the channel. Even if you had not done so, the follow-up PM messages, which have been quoted above, seem to suggest similar intentions in avoiding any further discourse in this ticket - that's truly the bottom line. I had changed the text of the message to represent the fact that the chat logs were replicas, since I was not able to obtain the channel history, and had recalled that the user has kicked me from the channel. However, saying that I tried to lie, deceive, or cheat the system here is highly inappropriate, considering I had explicitly changed the message after to represent the accuracy, prior to any mention of false chat logs. After a few mentions of false chat logs, I had thought it may be best to delete the claim and recognize the re-legitimizing of the fact. However, this still doesn't change any of the premises that led to your initial action, which is the main point of discussion for this ticket, your unwillingness to participate in any meaningful discussion either on here or on IRC. The ambiguity in referring to "offwiki conduct," not willing to participate in "drama," and the "rule on wp" are clearly methods to circumvent the original premise of the action, which has not been justified or explained to a satisfiable degree whereby any meaningful resolution or decisions can be made. Considering that you are a sysop on a few production wikis, I am incredibly disappointed in not solely your original action, but certainly also the way in which you circumvent the main issue presented in this ticket.

To finally comment: Without a substantive discussion, everyone's time has been wasted in meaningless, circular discussion, leading to no conclusion or resolution. Playing the games of pitching in to comment on off-topic issues, while refusing to actively engage in the central point of discussion with the excuse that they don't have time goes to show Steinsplitter's inappropriate conduct. It seems as though they have had issues with production steward TBloemink regarding their user right on deployment wiki in the past, as can be shown by their user rights log. That, on the other hand, seems to be an issue, which should be looked into in another ticket, perhaps, since it seems to suggest potentially direct previous abuse on beta/test wikis and/or misinterpretation of rules as they apply to non-production wikis more generally speaking.

JustBerry removed a subscriber: Steinsplitter.

Let's stick to the fact that not everyone is native English speakers.

If people had bothered to look at the config, or the resultant of the config, namely http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version they would see that the checkuser extension isn't enabled.

What's the point of @JustBerry granting himself the right when it serves no purpose?


There where concerns raised in ops-internal channel by multiple users about the trust of the users (especially because of his offwiki conduct).

  • Who?
  • Why?

and there was also concerns about the cu group

  • Why?

It seems as though the user did not fully understand the implications of their actions, and now chooses alternative methods to substantiate their actions.

It was a user request.

However, it gives you no leverage to base your actions off at all, despite it being unwarranted to begin with.

How?

you should also be familiar with the ArbCom process

ArbCom does not apply to most wikis.

The fact of the matter is, you had mentioned in the channel explicitly that I was "stalking you," when I had merely come looking for you.

Why to #wikipedia-de-jungwikipedianer now a more public channel like Commons?

Even if you had not done so, the follow-up PM messages, which have been quoted above, seem to suggest similar intentions in avoiding any further discourse in this ticket.

Please respect the fact that not everyone likes to participate in drama, whether or not it is related to himself.

I had changed the text of the message to represent the fact that the chat logs were replicas, since I was not able to obtain the channel history, and had recalled that the user has kicked me from the channel.

Creating replicas of chat log is inappropriate, as it gives the illusion that the log is real, especially whit the claim that it is a channel log in "the following channel log".

However, saying that I tried to lie, deceive, or cheat the system here is highly inappropriate.

It is not he who said anything on "lie, deceive, or cheat the system", unless it's a part of my tldr.

After a few mentions of false chat logs, I had thought it may be best to delete the claim and recognize the re-legitimizing of the fact.

... That's not how you do this. Deleting a comment does not prevent you from having to explain it.

However, this still doesn't change any of the premises that led to your initial action, which is the main point of discussion for this ticket, your unwillingness to participate in any meaningful discussion either on here or on IRC. The ambiguity in referring to "offwiki conduct," not willing to participate in "drama," and the "rule on wp" are clearly methods to circumvent the original premise of the action, which has not been justified or explained to a satisfiable degree whereby any meaningful resolution or decisions can be made.

Please respect the fact that not everyone likes to participate in drama, whether or not it is related to himself. If you would like the rights restored, explain why is the rights needed, not why the removal is wrong.

Steinsplitter's inappropriate conduct

He needs to clarify the action.

It seems as though they have had issues with production steward TBloemink regarding their user right on deployment wiki in the past, as can be shown by their user rights log.

This does seem to be stalking.

Aklapper added a subscriber: Qgil.Oct 12 2015, 9:28 AM

No personal accusations, please.
Criticize technical aspects, not people.

There obviously are misunderstandings and I urge you to assume that everybody means well and that everybody here is interested in solving actual workflow problems or technical problems.
See https://www.mediawiki.org/wiki/Bug_management/Phabricator_etiquette - thank you.

No personal accusations, please.
Criticize technical aspects, not people.
There obviously are misunderstandings and I urge you to assume that everybody means well and that everybody here is interested in solving actual workflow problems or technical problems.
See https://www.mediawiki.org/wiki/Bug_management/Phabricator_etiquette - thank you.

In that case, this should have never happened in the first place. There doesn't appear to be any concrete evidence suggesting a need to remove the right per abuse, misuse, etc.

JustBerry changed the task status from Open to Stalled.Oct 12 2015, 12:18 PM
Krenair closed this task as Resolved.Oct 20 2015, 12:52 AM
Krenair added a subscriber: JustBerry.

I've looked through this and I am unhappy, both with the manner in which these rights were removed and with the way this discussion has gone. I'm not going to be re-granting the rights removed for now, and I'll want to see very good (i.e. relevant to beta) reasons if you still think you need these flags, @JustBerry.